javax.xml.bind

## Class DataBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.bind.DataBindingException

- All Implemented Interfaces:
    Serializable

      public class DataBindingException
      extends RuntimeException

  Exception that represents a failure in a JAXB operation.

  This exception differs from `JAXBException` in that this is an unchecked exception, while `JAXBException` is a checked exception.

  Since:
    JAXB2.1
  See Also:
    `JAXB`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBindingException(String message, Throwable cause)`
    `DataBindingException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataBindingException

          public DataBindingException(String message,
                              Throwable cause)

    - #### DataBindingException

          public DataBindingException(Throwable cause)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.